## kopanocore 8.7.0

=== ECtools/backup/requirements.txt ===
MAPI
bsddb3
kopano

=== ECtools/migration-pst/requirements.txt ===
MAPI
kopano

=== ECtools/rest/requirements.txt ===
falcon
prometheus_client
setproctitle
bjoern
bsddb3
ujson
pytz
dateutil
requests
kopano
MAPI
jsonschema

=== ECtools/search/requirements.txt ===
bsddb3
kopano
xapian

=== ECtools/spamd/requirements.txt ===
kopano
bsddb3

=== swig/python/kopano/requirements.txt ===
pytz
dateutil
PIL
MAPI

=== debian/changelog ===
kopanocore (8.7.0-7ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    * debian/tests/smoke:
      - observed password prompt interractively
      - set debconf frontent to non-interactive, which then fails the test
      - preseed password prompt, test now passes
    * Revert init system changes, something on them broke the smoke test

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Mar 2020 00:04:52 +0100

kopanocore (8.7.0-7) unstable; urgency=medium

  [ Matthias Klose ]
  * [08a70ec] d/rules: adding PYTHON_LIBS to DEB_CONFIGURE_EXTRA_ARGS
    (Closes: #953549)

  [ Carsten Schoenert ]
  * [ee791b0] kopano-libs.symbols: update symbols to 8.7.0(-7)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 15 Mar 2020 11:05:50 +0100

kopanocore (8.7.0-6ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    * debian/tests/smoke:
      - observed password prompt interractively
      - set debconf frontent to non-interactive, which then fails the test
      - preseed password prompt, test now passes
    * Revert init system changes, something on them broke the smoke test
    * Call python3-config --libs with --embed.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Feb 2020 21:11:17 +0100

kopanocore (8.7.0-6) unstable; urgency=medium

  [ Steve Langasek ]
  * [0f7f9e8] apparmor kopano-server: allow ldconfig{,.real} call
    (Closes: #946659)

  [ Carsten Schoenert ]
  * [a351358] rebuild patch queue from patch-queue branch
    Added patch (cherry-picked from upstream):
    freebusy-avoid-out-of-bounds-access-in-HrAddFBBlock.patch
    Fixes CVE-2019-19907
    Updated patch:
    Use-python3-everywhere.patch
    We need to adjust the shebang within more Python files so debhelper isn't
    adding a dependency on Python2 because '/usr/bin/python' was found.
    (Closes: #936808)
  * [5e65048] mv service file to current dh name schema
    As recent debhelper isn't detecting a service file
    $binary-package.$binary-package.service any more we need to adjust these
    sequencer files a bit. A simple renaming is enough so the service files
    for kopano-{dagent,presence,server} are also shipped within their
    packages.
  * [1aa9c45] kopano-server.service: picking up upstream things
    The upstream service file is using some things we can also apply to our
    service file like the Description and the additional man pages.
  * [8351c36] kopano-dagent.service: pick Description from upstream
    Picking up the more explaining Description from the upstream service file.
  * [2c8b0ba] d/control: increase Standards-Version to 4.5.0
    No further changes needed.
  * [cf9a393] kopano-libs.symbols: update symbols to 8.7.0(-6)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 02 Feb 2020 13:09:00 +0100

kopanocore (8.7.0-5ubuntu8) focal; urgency=medium

  * Call python3-config --libs with --embed.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jan 2020 12:00:45 +0100

kopanocore (8.7.0-5ubuntu6) focal; urgency=medium

  * debian/tests/smoke:
    - observed password prompt interractively
    - set debconf frontent to non-interactive, which then fails the test
    - preseed password prompt, test now passes
  * Revert init system changes, something on them broke the smoke test
  * debian/apparmor/usr.sbin.kopano-search: include read permission for
    ldconfig, and also include ldconfig.real, required on Ubuntu's
    implementation of ldconfig.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 Dec 2019 12:41:25 +0100

kopanocore (8.7.0-5) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [27b1378] apparmor kopano-server: adopt changed folder for userscripts
    (Closes: #933886)
  * [12eace9] autopkgtest: adjust and expand the automatic testing
  * [85bcfda] kopano-libs.symbols: update symbols to 8.7.0(-5)

  [ Gert van Dijk ]
  * [316e9a1] d/control: Remove Dep php-{cli,mapi} on dagent & monitor

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 29 Oct 2019 19:16:07 +0100

kopanocore (8.7.0-4) unstable; urgency=medium

  [ intrigeri ]
  * [7701ce1] Fix syntax of usr.sbin.kopano-search AppArmor profile.

  [ Roel van Meer ]
  * [c6864f2] Use correct pidfile paths in sysv init scripts
   ( Closes: #924569)
  * [d57a3c6] Use python3 to start kopano-search
  * [8d862c6] Use python3 to start kopano-presence
    (Closes: #942491)
  * [8bce9f2] Use correct pidfile in status target of SysV init scripts
  * [0a86326, e7fdb4f, 4bdc6d0, 66a4a60] rebuild patch queue from patch-queue
    branch
    Added patches:
    Decrease-ICS-processing-batch-size.patch
    server-check-for-NULL-SSL-context-before-calling-soap_ssl.patch
     Patch cherry-picked from upstream
     https://github.com/Kopano-dev/kopano-core/commit/eac93901

    server-cure-use-after-free-crash-on-shutdown.patch
     Patch cherry-picked from upstream
     https://github.com/Kopano-dev/kopano-core/commit/e424a3f7

    common-the-SSL-proto-list-string-is-TLSv1-not-TLSv1.0.patch
    server-recognize-TLSv1.0-for-backward-compat.patch
     (Upstream report: https://jira.kopano.io/browse/KC-1439)

    # Several patches cherry-picked from ongoing Kopano development,
      unfortunately there is no support by upstream due a stable release branch.
      Thus we enforced to pick up issue fixing commits. Thanks Roel for carry
      on this.
    gateway-avoid-uncaught-exception-when-client-disconnects-.patch
    Partially-revert-libserver-implement-object-caching-by-us.patch
    libserver-remove-constant-5th-argument-to-GetCell.patch
    libserver-turn-GetCell-bool-params-into-a-flags-argument.patch
    libserver-only-return-PT_NULL-cacheentry-info-when-so-req.patch
    libserver-reduce-indent-in-SOT-QueryRowByColumn.patch
    libserver-shorten-common-subexpression-with-alias-ECStore.patch
    libserver-stop-caching-truncated-tproperties-data.patch
    libserver-add-option-to-disable-cell-read-cache.patch


=== debian/control ===
Source: kopanocore
Section: mail
Priority: optional
Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@alioth-lists.debian.net>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
 Matthias Geerdsen <matthias@vorlons.info>,
 Simon Eisenmann <s.eisenmann@kopano.com>,
 Guido Günther <agx@sigxcpu.org>
Build-Depends:
 autoconf (>= 2.59),
 automake (>= 1:1.9),
 binutils (>= 2.12.90.0.9),
 bison,
 debhelper (>= 12~),
 default-libmysqlclient-dev,
 dh-apparmor,
 dh-exec,
 dh-php,
 dh-python,
 dpkg-dev (>= 1.16.1~),
 flex,
 gettext,
 gsoap (>= 2.8.49),
 libcurl4-openssl-dev,
 libgsoap-dev (>= 2.8.49),
 libhx-dev,
 libical-dev,
 libicu-dev,
 libjsoncpp-dev (>= 1.4.0~),
 libkrb5-dev,
 libldap2-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpam0g-dev,
 libssl-dev,
 libtool (>= 1.5),
 libvmime-dev (>= 0.9.2-4),
 libxml2-dev,
 m4,
 php-dev,
 pkg-config (>= 0.18),
 python3-dev,
 python3-setuptools,
 swig,
 uuid-dev,
 xmlto,
 zlib1g-dev,
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/giraffe-team/kopanocore.git
Vcs-Browser: https://salsa.debian.org/giraffe-team/kopanocore
Homepage: https://download.kopano.io/community/

Package: kopano-libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Breaks: kopano-client
Replaces: kopano-client
Description: Complete and feature rich groupware solution - Free/Busy library
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the shared libraries of server and client.

Package: kopano-core
Architecture: all
Depends:
 ${misc:Depends},
 kopano-backup (>= ${source:Version}),
 kopano-dagent (>= ${source:Version}),
 kopano-gateway (>= ${source:Version}),
 kopano-ical (>= ${source:Version}),
 kopano-monitor (>= ${source:Version}),
 kopano-search (>= ${source:Version}),
 kopano-server (>= ${source:Version}),
 kopano-spamd (>= ${source:Version}),
 kopano-spooler (>= ${source:Version}),
 kopano-utils (>= ${source:Version}),
Suggests: kopano-webapp
Description: Metapackage to install the Kopano Core stack
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. By install of the additional package
 kopano-webapp it also features a modern web interface.
 .
 This metapackage contains the dependencies to pull in all important parts of
 Kopano Core.

Package: kopano-archiver
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (>= ${source:Version}),
Description: Complete and feature rich groupware solution - archiver
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the archiver.

Package: kopano-backup
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 kopano-common (>= ${source:Version}),
 python3-bsddb3,
 python3-dateutil,
 python3-kopano (>= ${source:Version}),
Description: Complete and feature rich groupware solution - backup
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the backup facilities.

Package: kopano-common
Architecture: all
Depends:
 ${misc:Depends},
 adduser,
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - common files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains some files common to all packages.

Package: kopano-contacts
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 locales,
Description: Complete and feature rich groupware solution - contact mapi provider
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides adding contact folders in the addressbook.

Package: kopano-dev
Conflicts: libmapi-dev
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-libs (= ${binary:Version}),
Description: C++ Development files and libraries for Kopano Core
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides development files to create programs for use with Kopano
 Core.

Package: kopano-dagent
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 kopano-common (= ${source:Version}),
 lsb-base (>= 3.0-6),
 python3-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - delivery agent
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email delivery agent that delivers incoming
 email from you SMTP server to the Kopano server.

Package: kopano-gateway
Architecture: any
Suggests: python3-mapi
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (= ${source:Version}),
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - POP3 and IMAP gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the POP3 and IMAP protocols.

Package: kopano-ical
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 kopano-common (= ${source:Version}),
 lsb-base (>= 3.0-6),
Description: Complete and feature rich groupware solution - CalDAV and CalDAV gateway
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the gateway to access the data stored in your
 Kopano server via the CalDAV and CardDAV protocols.

Package: kopano-l10n
Architecture: all
Section: localization
Depends:
 ${misc:Depends},
 locales,
Breaks: kopano-lang
Replaces: kopano-lang
Description: Complete and feature rich groupware solution - l10n files
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the translations in several languages.

Package: kopano-monitor
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 kopano-common (= ${source:Version}),
 lsb-base (>= 3.0-6),
 python3-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - quota monitor
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the quota monitor that checks stores for total usage
 and alerts users by email.

Package: kopano-presence
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 kopano-common (>= ${binary:Version}),
 lsb-base (>= 3.0-6),
 python3-flask,
 python3-kopano (= ${binary:Version}),
 python3-sleekxmpp,
Description: Complete and feature rich groupware solution - presence daemon
 A daemon for collecting and exporting user presence information across
 multiple protocols in a unified way.
 Supports XMPP and Spreed. Clients can both query the daemon with presence
 information (for example, the user is 'available' for XMPP and 'away' for
 Spreed) and update presence information (for example, make a user 'available'
 on Spreed). Queries and updates are performed with simple GET and PUT
 requests, respectively, using a simple (and identical) JSON format.

Package: kopano-search
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 catdoc,
 file,
 gawk,
 kopano-common (>= ${source:Version}),
 lsb-base (>= 3.0-6),
 poppler-utils,
 python3-bsddb3,
 python3-dateutil,
 python3-kopano (>= ${source:Version}),
 python3-magic,
 python3-xapian,
 unzip,
 w3m,
 xsltproc,
Description: Complete and feature rich groupware solution - indexer
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the search indexer using xapian.

Package: kopano-server
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dbconfig-common,
 kopano-common (= ${source:Version}),
 lsb-base (>= 3.0-6),
 mariadb-client | default-mysql-client | virtual-mysql-client,
Recommends: mariadb-server | default-mysql-server
Description: Complete and feature rich groupware solution - server component
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package provides the core server component that connects to gateways
 (like the imap gateway) or the web gui connect to.

Package: kopano-spamd
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 kopano-common (>= ${binary:Version}),
 lsb-base (>= 3.0-6),
 python3-bsddb3,
Description: Complete and feature rich groupware solution - Spam daemon
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the Spam learning daemon for Kopano / SpamAssasin.

Package: kopano-spooler
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 kopano-common (= ${source:Version}),
 lsb-base (>= 3.0-6),
 python3-mapi (= ${binary:Version}),
Description: Complete and feature rich groupware solution - email spooler
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary
 clients including mobile ones. It also features a web interface.
 .
 This package contains the email spooler that forwards emails from the
 Kopano server to an SMTP server.

Package: kopano-utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${perl:Depends},
 ${python3:Depends},
 libdata-dump-perl,
 libdigest-hmac-perl,
 libfile-copy-recursive-perl,
 libio-tee-perl,
 libmail-imapclient-perl,
 libreadonly-perl,
 libterm-readkey-perl,
 libunicode-string-perl,
 python3-bsddb3,
 python3-kopano,
Description: Complete and feature rich groupware solution - admin tools
 The Kopano Collaboration Platform (KCP) is a complete, stable and
 flexible groupware solution supporting open source as well as proprietary

=== debian/tests/control ===
Tests: smoke
Depends: python3-nose
Restrictions: allow-stderr,
 needs-root,
 skippable,

Tests: help
Depends: kopano-backup,
 kopano-presence,
 kopano-search,
 kopano-spamd,
 kopano-utils,
Restrictions: allow-stderr,
 needs-root,

=== debian/watch ===
# watch file for kopanocore from Kopano
#
# Kopano is mirroring some of their git trees on GitHub, also kopanocore.
# That's makes it a lot easier to use uscan for tracking new upstream versions.
#
# Release Tags are signed by OpenPGP key 0x6A3933DA297DFB7D from Jan Engelhard
#               Fingerprint  2F8B FE96 D14F 8B56 0FBC 1F1D A28B DFEE B5A2 B2FF
# But there aren't any armored detached signing files (*.asc), thus we can't use
# any cryptographic signature verification and don't use 'pgpsigurlmangle'.

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4
opts="uversionmangle=s/-beta/~beta/;s/\.-beta\d//;s/\.+$//" \
  https://github.com/Kopano-dev/kopano-core/releases .*/kopanocore-(\d\.\d\.\d(-beta\d)?)\.tar\.[gx]z
